package mobicomp.interfaces;


import java.util.Vector;


public interface MHMessage
{
    public static final byte TYPE_RREQ = 0x11;
    public static final byte TYPE_RREP = 0x12;
    public static final byte TYPE_SRMSG = 0x21;
    public static final byte TYPE_SRACK = 0x22;

    /**
     * Set/get the message type 
     */
    public void setType( byte b);

    public byte getType();

    /**
     * Set/get the messages id
     */
    public void setId( int id);

    public int getId();

    /**
     * Set/get the sender address of the message
     */
    public void setSender( int addr);

    public int getSender();

    /**
     * Set/get the receiver address of the message
     */
    public void setReceiver( int addr);

    public int getReceiver();

    /**
     * Set/get the messages TTL
     */
    public void setTTL( int ttl);

    public int getTTL();

    /**
     * Set/get the messages route index
     */
    public void setRouteIndex( int routeIndex);

    public int getRouteIndex();

    /**
     * Set/get the messages route
     */
    public void setRoute( Vector route);

    public Vector getRoute();

    /**
     * Set/get the data part of the message
     */
    public void setData( byte[] data);

    public byte[] getData();
}